extends Node2D
class_name DragonListEntry


@export var color: AnimatedSprite2D
@export var hat: AnimatedSprite2D
@export var shirt: AnimatedSprite2D
@export var decor: AnimatedSprite2D


func play_animation(anim: String):
	color.set_frame(0)
	color.play(anim)
	hat.set_frame(0)
	hat.play(anim)
	shirt.set_frame(0)
	shirt.play(anim)
	decor.set_frame(0)
	decor.play(anim)


func face_direction(left: bool):
	color.flip_h = not left
	hat.flip_h = not left
	shirt.flip_h = not left
	decor.flip_h = not left
